From 3ae1caddcde03a94520f120c72aef55d6ac402c0 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Fri, 3 May 2019 14:04:12 +0200
Subject: [PATCH] libdmapsharing: disable tests

These fail to build with libgee currently in the repository, so
disable them.

Also set the gir build helper to fix cross compilation.
---
 srcpkgs/libdmapsharing/template | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/libdmapsharing/template b/srcpkgs/libdmapsharing/template
index b14e2f2f72d..c43648a542c 100644
--- a/srcpkgs/libdmapsharing/template
+++ b/srcpkgs/libdmapsharing/template
@@ -1,13 +1,14 @@
 # Template file for 'libdmapsharing'
 pkgname=libdmapsharing
 version=2.9.39
-revision=1
+revision=2
 build_style=gnu-configure
-configure_args="--with-mdns=avahi"
+build_helper=gir
+configure_args="--with-mdns=avahi --disable-tests"
 hostmakedepends="pkg-config glib-devel"
 makedepends="gtk+-devel avahi-glib-libs-devel libsoup-devel
  gst-plugins-base1-devel libgee08-devel"
-short_desc="A library that implements the DMAP family of protocols"
+short_desc="Library that implements the DMAP family of protocols"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="LGPL-2.1"
 homepage="http://www.flyn.org/projects/libdmapsharing/index.html"
